header:
  license:
    spdx-id: GPL-3.0-only
    content: |
      Copyright (C) 2021 Associated Universities, Inc. Washington DC, USA.

      This file is part of NRAO Workspaces.

      Workspaces is free software: you can redistribute it and/or modify
      it under the terms of the GNU General Public License as published by
      the Free Software Foundation, either version 3 of the License, or
      (at your option) any later version.

      Workspaces is distributed in the hope that it will be useful,
      but WITHOUT ANY WARRANTY; without even the implied warranty of
      MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
      GNU General Public License for more details.

      You should have received a copy of the GNU General Public License
      along with Workspaces.  If not, see <https://www.gnu.org/licenses/>.

  paths:
    - '**/*.py'
    - '**/*.ts'
    - '**/*.sh'

  paths-ignore:
    - '**/node_modules/**'
    - '**/cli/executables/pexable/pycapo/**'
    - '**/schema/versions/**'

  license-location-threshold: 20
